<div [ngClass]="[jds.d('flex'), jds.alignItems('center')]">
  <div [ngClass]="[jds.fs(14), jds.me(6)]">Tags:</div>

  <div
    #tags
    [hidden]="!helper()"
    [ngClass]="[jds.fs(14)]"
    [style.flexGrow]="1"
  >
    @for (item of helperData(); track $index) {
      <span
        #text
        [style.display]="'inline-block'"
      >
        {{ item }},&nbsp;
      </span>
    }
  </div>

  @if (!helper()) {
    <div
      [ngClass]="[jds.fs(14)]"
      [style.display]="'flex'"
      [style.flexGrow]="1"
    >
      @for (itemShow of helperShow(); track $index; let last = $last) {
        @if (!last) {
          <a
            [style.cursor]="'pointer'"
            (click)="onFilter(itemShow)"
          >
            {{ itemShow }} </a
          >,&nbsp;
        } @else {
          <a
            [style.cursor]="'pointer'"
            (click)="onFilter(itemShow)"
          >
            {{ itemShow }}
          </a>
        }
      }

      @if (helperHide()) {
        <jds-bi-hosted-dropdown
          [(open)]="isDropdown"
          [jdsBiDropdownLimitWidth]="'auto'"
          [jdsBiDropdownAlign]="'right'"
          [content]="dropdown"
        >
          <a
            [ngClass]="[jds.ms(6)]"
            [style.cursor]="'pointer'"
            type="button"
          >
            ...
          </a>
        </jds-bi-hosted-dropdown>

        <ng-template #dropdown>
          <ul
            [ngClass]="[jds.dropdownMenu]"
            [style.minWidth.px]="150"
          >
            @for (itemHide of helperHide(); track $index; let last = $last) {
              <li [ngClass]="[jds.dropdownNavbarItem]">
                <a
                  [ngClass]="[jds.dropdownNavbarLink]"
                  (click)="onFilter(itemHide)"
                >
                  {{ itemHide }}
                </a>
              </li>
            }
          </ul>
        </ng-template>
      }
    </div>
  }
</div>
